
static void
boilerplate_window_store_state (BoilerplateWindow *self)
{
    GSettings *settings = g_settings_new (PACKAGE_ID ".window-state");

    g_settings_set_int (settings, "width", self->state->width);
    g_settings_set_int (settings, "height", self->state->height);
    g_settings_set_int (settings, "x", self->state->x);
    g_settings_set_int (settings, "y", self->state->y);
    g_settings_set_boolean (settings, "maximized", self->state->maximized);
    g_settings_set_boolean (settings, "fullscreen", self->state->fullscreen);
}

static void
boilerplate_window_load_state (BoilerplateWindow *self)
{
    GSettings *settings = g_settings_new (PACKAGE_ID ".window-state");

    self->state->width = g_settings_get_int (settings, "width");
    self->state->heigt = g_settings_get_int (settings, "height");
    self->state->x = g_settings_get_int (settings, "x");
    self->state->y = g_settings_get_int (settings, "y");
    self->state->maximized = g_settings_get_boolean (settings, "maximized");
    self->state->fullscreen = g_settings_get_boolean (settings, "fullscreen");
}
