#ifndef __BOILERPLATE_WINDOW_H__
#define __BOILERPLATE_WINDOW_H__

#include <gtk/gtk.h>

#include "boilerplate-application.h"

typedef enum {
    false,
    true
} bool;

G_BEGIN_DECLS

//#define WINDOW_STATE_TYPE_WINDOW (window_state_get_type ())

//G_DECLARE_FINAL_TYPE (WindowState, window_state, WINDOW, STATE, GObject)

#define BOILERPLATE_TYPE_WINDOW (boilerplate_window_get_type ())

G_DECLARE_FINAL_TYPE (BoilerplateWindow, boilerplate_window, BOILERPLATE, WINDOW, GtkApplicationWindow)

typedef struct {
    GObject parent_instance;

    int width;
    int height;
    int x;
    int y;
    bool maximized;
    bool fullscreen;
} WindowState;

struct _BoilerplateWindow {
    GtkApplicationWindow parent_instance;

    WindowState *state;
};

GType boilerplate_window_get_type (void) G_GNUC_CONST;

BoilerplateWindow *
boilerplate_window_new (BoilerplateApplication *);

static void
boilerplate_window_init (BoilerplateWindow *);

static void
boilerplate_window_class_init (BoilerplateWindowClass *);

static void
boilerplate_window_finalize (GObject *);

G_END_DECLS

#endif /* __BOILERPLATE_WINDOW_H__ */
